* [gentoo-commits] proj/dotnet:master commit in: dev-dotnet/libgit2sharp/files/, dev-dotnet/libgit2sharp/
@ 2016-07-27 6:39 Heather Cynede
0 siblings, 0 replies; 3+ messages in thread
From: Heather Cynede @ 2016-07-27 6:39 UTC (permalink / raw
To: gentoo-commits
commit: 6cd49c20216a016d7807dc2613e70aec7b822a1d
Author: ArsenShnurkov <Arsen.Shnurkov <AT> gmail <DOT> com>
AuthorDate: Wed Jul 27 01:25:32 2016 +0000
Commit: Heather Cynede <cynede <AT> gentoo <DOT> org>
CommitDate: Wed Jul 27 01:25:32 2016 +0000
URL: https://gitweb.gentoo.org/proj/dotnet.git/commit/?id=6cd49c20
patches for removing xunit dependency
.../files/csproj-remove-nuget-targets-check.patch | 15 +++++++++++++++
.../libgit2sharp/files/packages-config-remove-xunit.patch | 8 ++++++++
dev-dotnet/libgit2sharp/libgit2sharp-0.22.ebuild | 9 ++++-----
3 files changed, 27 insertions(+), 5 deletions(-)
diff --git a/dev-dotnet/libgit2sharp/files/csproj-remove-nuget-targets-check.patch b/dev-dotnet/libgit2sharp/files/csproj-remove-nuget-targets-check.patch
new file mode 100644
index 0000000..c90f79c
--- /dev/null
+++ b/dev-dotnet/libgit2sharp/files/csproj-remove-nuget-targets-check.patch
@@ -0,0 +1,15 @@
+--- a/LibGit2Sharp/LibGit2Sharp.csproj
++++ b/LibGit2Sharp/LibGit2Sharp.csproj
+@@ -410,12 +410,6 @@
+ <PreBuildEvent>
+ </PreBuildEvent>
+ </PropertyGroup>
+- <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
+- <PropertyGroup>
+- <ErrorText>This project references NuGet package(s) that are missing on this computer. Enable NuGet Package Restore to download them. For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
+- </PropertyGroup>
+- <Error Condition="!Exists('..\packages\LibGit2Sharp.NativeBinaries.1.0.129\build\LibGit2Sharp.NativeBinaries.props')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\LibGit2Sharp.NativeBinaries.1.0.129\build\LibGit2Sharp.NativeBinaries.props'))" />
+- </Target>
+ <!-- To modify your build process, add your task inside one of the targets below and uncomment it.
+ Other similar extension points exist, see Microsoft.Common.targets.
+ <Target Name="BeforeBuild">
diff --git a/dev-dotnet/libgit2sharp/files/packages-config-remove-xunit.patch b/dev-dotnet/libgit2sharp/files/packages-config-remove-xunit.patch
new file mode 100644
index 0000000..6e1d44d
--- /dev/null
+++ b/dev-dotnet/libgit2sharp/files/packages-config-remove-xunit.patch
@@ -0,0 +1,8 @@
+--- a/.nuget/packages.config
++++ b/.nuget/packages.config
+@@ -1,5 +1,3 @@
+ <?xml version="1.0" encoding="utf-8"?>
+ <packages>
+- <package id="xunit.runner.console" version="2.0.0" />
+- <package id="xunit.runner.msbuild" version="2.0.0" />
+ </packages>
diff --git a/dev-dotnet/libgit2sharp/libgit2sharp-0.22.ebuild b/dev-dotnet/libgit2sharp/libgit2sharp-0.22.ebuild
index 5ac150e..35b9c2b 100644
--- a/dev-dotnet/libgit2sharp/libgit2sharp-0.22.ebuild
+++ b/dev-dotnet/libgit2sharp/libgit2sharp-0.22.ebuild
@@ -7,7 +7,7 @@ EAPI=6
USE_DOTNET="net45"
IUSE="${USE_DOTNET}"
-inherit nupkg
+inherit nuget nupkg
KEYWORDS="amd64 x86 ~ppc-macos"
@@ -32,11 +32,10 @@ DEPEND="${CDEPEND}
"
RDEPEND="${CDEPEND}"
-src_unpack() {
- nuget restore ${S}/LibGit2Sharp.sln || die
-}
-
src_prepare() {
eapply "${FILESDIR}/sln.patch"
+ eapply "${FILESDIR}/csproj-remove-nuget-targets-check.patch"
+ eapply "${FILESDIR}/packages-config-remove-xunit.patch"
+ enuget_restore "${S}/LibGit2Sharp.sln"
default
}
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] proj/dotnet:master commit in: dev-dotnet/libgit2sharp/files/, dev-dotnet/libgit2sharp/
@ 2016-07-27 6:39 Heather Cynede
0 siblings, 0 replies; 3+ messages in thread
From: Heather Cynede @ 2016-07-27 6:39 UTC (permalink / raw
To: gentoo-commits
commit: d0917029fb71ff23db61c28eb4a5cdba094be899
Author: ArsenShnurkov <Arsen.Shnurkov <AT> gmail <DOT> com>
AuthorDate: Wed Jul 27 02:49:10 2016 +0000
Commit: Heather Cynede <cynede <AT> gentoo <DOT> org>
CommitDate: Wed Jul 27 02:49:10 2016 +0000
URL: https://gitweb.gentoo.org/proj/dotnet.git/commit/?id=d0917029
corrections for Core/NativeDllName.cs
.../remove-NativeBinaries-package-dependency.patch | 19 +++++++++++++++++++
dev-dotnet/libgit2sharp/libgit2sharp-0.22.ebuild | 20 +++++++++++++++++++-
2 files changed, 38 insertions(+), 1 deletion(-)
diff --git a/dev-dotnet/libgit2sharp/files/remove-NativeBinaries-package-dependency.patch b/dev-dotnet/libgit2sharp/files/remove-NativeBinaries-package-dependency.patch
new file mode 100644
index 0000000..194ce41
--- /dev/null
+++ b/dev-dotnet/libgit2sharp/files/remove-NativeBinaries-package-dependency.patch
@@ -0,0 +1,19 @@
+--- a/LibGit2Sharp/LibGit2Sharp.csproj
++++ b/LibGit2Sharp/LibGit2Sharp.csproj
+@@ -1,6 +1,8 @@
+ <?xml version="1.0" encoding="utf-8"?>
+ <Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+- <Import Project="..\packages\LibGit2Sharp.NativeBinaries.1.0.129\build\LibGit2Sharp.NativeBinaries.props" Condition="Exists('..\packages\LibGit2Sharp.NativeBinaries.1.0.129\build\LibGit2Sharp.NativeBinaries.props')" />
++ <ItemGroup>
++ <EmbeddedResource Include="libgit2_filename.txt" />
++ </ItemGroup>
+ <PropertyGroup>
+ <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+ <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+--- a/LibGit2Sharp/packages.config
++++ b/LibGit2Sharp/packages.config
+@@ -1,4 +1,3 @@
+ <?xml version="1.0" encoding="utf-8"?>
+ <packages>
+- <package id="LibGit2Sharp.NativeBinaries" version="1.0.129" targetFramework="net4" allowedVersions="[1.0.129]" />
+ </packages>
diff --git a/dev-dotnet/libgit2sharp/libgit2sharp-0.22.ebuild b/dev-dotnet/libgit2sharp/libgit2sharp-0.22.ebuild
index 35b9c2b..f2c69b7 100644
--- a/dev-dotnet/libgit2sharp/libgit2sharp-0.22.ebuild
+++ b/dev-dotnet/libgit2sharp/libgit2sharp-0.22.ebuild
@@ -32,10 +32,28 @@ DEPEND="${CDEPEND}
"
RDEPEND="${CDEPEND}"
+src_unpack() {
+ default
+ # remove rogue binaries
+ rm -rf "${S}/Lib/NuGet/" || die
+ rm -rf "${S}/Lib/CustomBuildTasks/CustomBuildTasks.dll" || die
+}
+
src_prepare() {
eapply "${FILESDIR}/sln.patch"
eapply "${FILESDIR}/csproj-remove-nuget-targets-check.patch"
eapply "${FILESDIR}/packages-config-remove-xunit.patch"
- enuget_restore "${S}/LibGit2Sharp.sln"
+ eapply "${FILESDIR}/remove-NativeBinaries-package-dependency.patch"
+ echo "/usr/lib64/libgit2.so" >"LibGit2Sharp/libgit2_filename.txt" || die
+ enuget_restore "LibGit2Sharp.sln"
default
}
+
+src_compile() {
+ # recreate custom build tasks .dll
+ sed -i "s#<OutputPath>.*</OutputPath>#<OutputPath>.</OutputPath>#g" "Lib/CustomBuildTasks/CustomBuildTasks.csproj" || die
+ exbuild "Lib/CustomBuildTasks/CustomBuildTasks.csproj"
+
+ # main compileation
+ exbuild "LibGit2Sharp.sln"
+}
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] proj/dotnet:master commit in: dev-dotnet/libgit2sharp/files/, dev-dotnet/libgit2sharp/
@ 2016-07-27 6:39 Heather Cynede
0 siblings, 0 replies; 3+ messages in thread
From: Heather Cynede @ 2016-07-27 6:39 UTC (permalink / raw
To: gentoo-commits
commit: 8e7c529c0919d9011d11883ce03b28eb27b2198e
Author: ArsenShnurkov <Arsen.Shnurkov <AT> gmail <DOT> com>
AuthorDate: Wed Jul 27 04:50:52 2016 +0000
Commit: Heather Cynede <cynede <AT> gentoo <DOT> org>
CommitDate: Wed Jul 27 04:50:52 2016 +0000
URL: https://gitweb.gentoo.org/proj/dotnet.git/commit/?id=8e7c529c
gac and nupkg installation added
.../libgit2sharp/files/nuspec-file-list.patch | 13 +++++
dev-dotnet/libgit2sharp/libgit2sharp-0.22.ebuild | 61 ++++++++++++++++++++--
2 files changed, 70 insertions(+), 4 deletions(-)
diff --git a/dev-dotnet/libgit2sharp/files/nuspec-file-list.patch b/dev-dotnet/libgit2sharp/files/nuspec-file-list.patch
new file mode 100644
index 0000000..8623a2b
--- /dev/null
+++ b/dev-dotnet/libgit2sharp/files/nuspec-file-list.patch
@@ -0,0 +1,13 @@
+--- a/nuget.package/LibGit2Sharp.nuspec 2016-03-04 19:26:33.000000000 +0300
++++ b/nuget.package.new/LibGit2Sharp.nuspec 2016-07-27 07:25:06.091068466 +0300
+@@ -14,9 +14,6 @@
+ <tags>libgit2 git wrapper bindings API dvcs vcs</tags>
+ </metadata>
+ <files>
+- <file src="..\README.md" target="App_Readme\LibGit2Sharp.README.md" />
+- <file src="..\LICENSE.md" target="App_Readme\LibGit2Sharp.LICENSE.md" />
+- <file src="..\CHANGES.md" target="App_Readme\LibGit2Sharp.CHANGES.md" />
+- <file src="bin\$configuration$\$id$.pdb" target="lib\net40" />
++ <file src="LibGit2Sharp/bin/$configuration$/$id$.dll" target="lib/net40" />
+ </files>
+ </package>
diff --git a/dev-dotnet/libgit2sharp/libgit2sharp-0.22.ebuild b/dev-dotnet/libgit2sharp/libgit2sharp-0.22.ebuild
index f2c69b7..8e9c5e9 100644
--- a/dev-dotnet/libgit2sharp/libgit2sharp-0.22.ebuild
+++ b/dev-dotnet/libgit2sharp/libgit2sharp-0.22.ebuild
@@ -5,7 +5,8 @@
EAPI=6
USE_DOTNET="net45"
-IUSE="${USE_DOTNET}"
+EBUILD_FRAMEWORK="4.5"
+IUSE="${USE_DOTNET} +gac +nupkg"
inherit nuget nupkg
@@ -15,7 +16,8 @@ DESCRIPTION="A C# PInvoke wrapper library for LibGit2 C library"
EGIT_COMMIT="8daef23223e1374141bf496e4b310ded9ae4639e"
HOMEPAGE="https://github.com/libgit2/libgit2sharp"
-SRC_URI="${HOMEPAGE}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+SRC_URI="${HOMEPAGE}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz
+ mirror://gentoo/mono.snk.bz2"
#RESTRICT="mirror"
S="${WORKDIR}/${PN}-${EGIT_COMMIT}"
@@ -32,6 +34,12 @@ DEPEND="${CDEPEND}
"
RDEPEND="${CDEPEND}"
+prefix=${PREFIX}/usr
+exec_prefix=${prefix}
+libdir=${exec_prefix}/lib/mono/${EBUILD_FRAMEWORK}
+
+NUSPEC_FILE="nuget.package/LibGit2Sharp.nuspec"
+
src_unpack() {
default
# remove rogue binaries
@@ -44,8 +52,19 @@ src_prepare() {
eapply "${FILESDIR}/csproj-remove-nuget-targets-check.patch"
eapply "${FILESDIR}/packages-config-remove-xunit.patch"
eapply "${FILESDIR}/remove-NativeBinaries-package-dependency.patch"
+ eapply "${FILESDIR}/nuspec-file-list.patch"
echo "/usr/lib64/libgit2.so" >"LibGit2Sharp/libgit2_filename.txt" || die
enuget_restore "LibGit2Sharp.sln"
+ sed -i 's=\$id\$=LibGit2Sharp=g' "${NUSPEC_FILE}" || die
+ sed -i "s=\\\$version\\\$=$(get_version_component_range 1-2)=g" "${NUSPEC_FILE}" || die
+ sed -i 's=\$author\$=nulltoken=g' "${NUSPEC_FILE}" || die
+ sed -i "s=\\\$description\\\$=${DESCRIPTION}=g" "${NUSPEC_FILE}" || die
+ if use debug; then
+ DIR="Debug"
+ else
+ DIR="Release"
+ fi
+ sed -i "s=\\\$configuration\\\$=${DIR}=g" "${NUSPEC_FILE}" || die
default
}
@@ -54,6 +73,40 @@ src_compile() {
sed -i "s#<OutputPath>.*</OutputPath>#<OutputPath>.</OutputPath>#g" "Lib/CustomBuildTasks/CustomBuildTasks.csproj" || die
exbuild "Lib/CustomBuildTasks/CustomBuildTasks.csproj"
- # main compileation
- exbuild "LibGit2Sharp.sln"
+ # main compilation
+ exbuild_strong "LibGit2Sharp.sln"
+
+ enuspec "${NUSPEC_FILE}"
+}
+
+src_install() {
+ insinto "${libdir}"
+ if use debug; then
+ DIR="Debug"
+ else
+ DIR="Release"
+ fi
+ doins "LibGit2Sharp/bin/${DIR}/LibGit2Sharp.dll"
+
+ enupkg "${WORKDIR}/LibGit2Sharp.0.22.nupkg"
+}
+
+pkg_postinst() {
+ if use gac; then
+ einfo "adding to GAC"
+ gacutil -i "${libdir}/LibGit2Sharp.dll" || die
+ fi
+
+ # cd "${WORKDIR}
+ # nuget push -source "Local NuGet packages" LibGit2Sharp.0.22.nupkg
+}
+
+pkg_postrm() {
+ if use gac; then
+ einfo "removing from GAC"
+ gacutil -u LibGit2Sharp
+ # don't die, it there is no such assembly in GAC
+ fi
+
+ # yes | nuget delete -source "Local NuGet packages" LibGit2Sharp 0.22
}
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2016-07-27 6:39 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-07-27 6:39 [gentoo-commits] proj/dotnet:master commit in: dev-dotnet/libgit2sharp/files/, dev-dotnet/libgit2sharp/ Heather Cynede
-- strict thread matches above, loose matches on Subject: below --
2016-07-27 6:39 Heather Cynede
2016-07-27 6:39 Heather Cynede
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox